package com.purui.prims.headless.server.service;

import com.purui.prims.auth.api.authentication.pojo.User;
import com.purui.prims.headless.api.pojo.request.BizConditionReq;
import com.purui.prims.headless.api.pojo.response.BizConditionResp;

import java.util.List;

public interface BizConditionService {

    boolean saveOrUpdate(BizConditionReq bizConditionReq, User user);

    void delete(Integer id);

    BizConditionResp getCondition(Integer id);

    List<BizConditionResp> getConditions(BizConditionReq conditionReq);
}
